import Taro from '@tarojs/taro'
import { getShopList, getVerifiedOrder, setGetVerifiedOrder } from '@/services/shopBoss'

import { useState, useEffect } from 'react'
import iconsearch from '@/assets/icons/housemantj/search.png'
import ms from '@/assets/icons/housemantj/ms3.jpg'
import cutoverUser from '@/assets/icons/UserCenter/cutoverUser.png'
import formatTimes from '@/utils/formatTime'
import './style.less'


export default (props) => {

  const { item, verifiedOrder } = props
  const verifyNo = item?.verifyNo
  const [buttonStyle, setButtonStyle] = useState('')


  const confirmOrder = () => {
    setGetVerifiedOrder(verifyNo).then((e) => {
      Taro.showToast({
        title: '核销成功',
        icon: 'success',
        duration: 2000,
      })
      setButtonStyle('none')

    })
  }


  useEffect(() => {

  }, [])

  return (
    <view className='orderCard'>
      <view style={{ overflow: 'hidden' }}>
        <view className='orderId'>订单编号：{item.orderId}</view>
        <view className='orderTime'>下单日期：{formatTimes(item.orderDate, 'yyyy-MM-dd hh:ss')}</view>
      </view>
      <view className='order'>
        <image className='orderImg' src={item.poster} mode='aspectFit' />
        <view className='orderRight'>
          <view className='foodName'>{item.description}</view>
          <view className='price'>合计金额：￥<text style={{ fontSize: '24rpx' }}>{item.actualPrice / 100}</text>元 <text className='pnum'>数量：<text>1</text>张</text> </view>
        </view>
        <view className='line' />
        <view className='phone'>客户手机：<text>{item.phone.replace(/^(\d{3})\d{4}(\d+)/, "$1****$2") || ''}</text>
          <button className='button-OK' onClick={confirmOrder} style={{ display: buttonStyle }}  >确认核销</button> </view>
      </view>
    </view>
  )
}

